Notizia che non farà felice molti utenti che utilizzano applicazioni in Java come ad esempio JDownloader difatti oltre a non esser più presente nei repository Canonical Partner, JDK Java sarà rimosso dai repository di tutte le versioni di Ubuntu. Fino ad oggi era presente nei repository Canonical Partner o repository non-free delle versioni precedenti di Ubuntu 11.04 ma nei prossimi giorni sarà rimosso completamente per tutte quante le versioni.
Il motivo della rimozione è dovuta alla scelta nei mesi scorsi da parte di Oracle di concludere il progetto Distributor License for Java (DLJ), il quale in parole povere offriva alle distribuzioni la possibilità di integrare la versione nei repository.
La nuova versione 7 di OpenJDK soffre di molte incompatibilità con la versione non-free sopratutto nella visualizzazione dei font, da qui la decisione di Canonical di rimuovere in futuro la versione sun-java da tutti i repository.
Ma come possiamo installare Java su Ubuntu se ora è stato rimosso dai repository?

LffL offre Java presente nei propri PPA (nella versione 6u26) basta seguire questa guida per installarlo (nei prossimi giorni sarà possibile installarlo anche su Ubuntu 12.04 Precise). Se vogliamo installare Java 7 JDK su Ubuntu basta consultare questa guida. Quindi non vi preoccupate che lffl vi rifarà riavere Java su Ubuntu,…
  • Antonio G. Perrotti

    domanda stupida: senza cosa cambia, nell’uso casalingo corrente? da quando uso xubuntu non lo sto più installando e non noto differenze.

    • Perché l’OpenJDK svolge bene il suo lavoro nel 90% dei casi, quindi non c’è la reale necessità di installare quello di Oracle, a meno di esigenze particolari!

      • Antonio G. Perrotti

        ok. avevo notato che nei “restricted” di ubuntu c’era, mentre in quelli di xubuntu no, e ho cominciato a dubitare che servisse veramente a qualcosa, almeno per il mio uso personale.

  • Xunil70

    ciao volevo chiederti se la versione di java presente nel ppa di lffl la 6u26 verrà mai aggiornata alle versioni successive tipo la 6u29 o alla 7 quando verrà rilasciata in versione stabile visto che sono stati corretti molti gravi bug nelle versioni successive alla 6u26 e volevo farti i complimenti per l ottimo sito 😉

  • Non serve a niente. Java 7 è basato su OpenJDK.

  • Giulio

    Se lffl tenesse aggiornato la sun-java6-jre sarebbe una bella cosa

  • Pagliaccio

    ma per quale arcano motivo oracle non fornisce licenze a ubuntu?!

  • Girolamo Aloe

    ma la cosa che mi domando. SE ufficialmente ubuntu non fornirà più le JDK… ci saranno delle altervative nei repositori ufficiali che possano sopperire a questa mancanza, dove è necessario?

    • certamente, ci sarà come sempre la OpenJDK

      • purtroppo openjdk non è il massimo
        ha molti problemi con alcune applicazioni e tra queste jdownloader applicazione molto utilizzata dagli utenti linux e non solo….

        • A me funziona benissimo con l’OpenJDK e comunque preferisco ancora il buon vecchio Torrent! ;D

          • Anche qui nessun problema. OpenJDK 6.

        • Girolamo Aloe

          Sempre usato OpenJDK, mai avuto un problema!

          • bisogna vedere quali applicazioni java utilizzi per esempio jdownloader con openjdk funziona malissimo

          • a me funziona benissimo ed ho sempre usato la OpenJDK io
            Oltretutto la nuova OracleJdk 7 è basata su OpenJdk quindi non vedo perchè dovrebbero esserci problemi di compatibilità

    • c’è openjdk ma non è il massimo

  • Gianluca

    diciamoci pure una cosa: se abbiamo detto mille volte che flash è il passato beh allora java è il trapassato…

    • alessandro

      Considerate che l’Agenzia Delle Entrate, ente pubblico, OBBLIGA i cittadini ad adempiere le comunicazione, tra l’altro obbligatorie, usando solamente JAVA nella vetusta versione 1.5.

      • Antonio G. Perrotti

        allora i miei 50000 di buffi passano per java? non lo installerò mai più… 😀

        • alessandro

          Dimenticavo…  Naturalmente i programmi dell’Agenzia destinati agli intermediari (commercialisti, associazioni ecc) non funzionano con Linux, nonostante siano scritti in Java…

    • Arthur

      spiega questa tua affermazione.
      non capisco cosa c’entri flash con java…

      flash sta a java come un abete ad una montagna

  • Stoccafisso

    non ho mai trovato un sostituto al pari di Jdownloader.
    fino a quando questo sarà scritto in java, io continuo ad averne bisogno.
    Un Grazie ad Lffl

    • Funziona benissimo anche con l’OpenJDK quindi non vedo ancora la necessità di installare quello di Oracle.

      • Stoccafisso

        non conosco il motivo, eppure OpenJDK mi da problemi di rallentamento a tutto il pc.
        non java non accade.

  • per coloro che come me usavano jdownloader c’è un programma simile che non è scritto in java: PyLoad

  • Joe_k

    Ma chi come me ha già java 6 build 1.6.0_26-b03 cosa deve fare adesso? aggiungere solo il ppa (di llf)

    • se lo hai installato rimarrà installato
      se reinstalli ubuntu o la installi in un’altro pc dovrai utilizzare o openjre o i ppa lffl

  • Joe_k

    ?????? un piccolo suggerimento?

  • Asd

    The expiration of license coincides with a number of security issues
    present in the version of Java available through the Ubuntu partner
    repositories.

    il vostro ppa è esente?

    • il ppa lffl avrà sempre java presente a meno che canonical non voglia rimuovere anche i ppa personali cosa che la vedo molto dura inoltre intalcaso la rimuova posso creare un nuovo ppa nel mio server

  • non serve nessun JDK (Java Development Kit) per eseguire applicazioni java (già compilate), basta JRE (Java Runtime Environment)

No more articles